Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 966332 - privoxy log files are not rotated
Summary: privoxy log files are not rotated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: privoxy
Version: 17
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-23 05:29 UTC by redhat
Modified: 2013-06-08 18:37 UTC (History)
1 user (show)

Fixed In Version: privoxy-3.0.21-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-01 03:28:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description redhat 2013-05-23 05:29:54 UTC
Description of problem:
Privoxy does not rotate log files due to missing entry in /etc/logrotate.d


Version-Release number of selected component (if applicable):
3.0.21-2.fc17

How reproducible:
Install and use privoxy, watch /var/log/privoxy/*


Steps to Reproduce:
1. Install RPM
2. Use privoxy for some weeks
3. Check /var/log/privoxy/*

Actual results:
There is only one log file that grows

Expected results:
The file is rotated, old files getting removed


Additional info:
The package is missing /etc/logrotate.d/privoxy

# rpm -ql privoxy | grep '/etc'
/etc/privoxy
/etc/privoxy/config
/etc/privoxy/default.action
/etc/privoxy/default.filter
/etc/privoxy/match-all.action
/etc/privoxy/regression-tests.action
/etc/privoxy/templates
/etc/privoxy/templates/blocked
/etc/privoxy/templates/cgi-error-404
/etc/privoxy/templates/cgi-error-bad-param
/etc/privoxy/templates/cgi-error-disabled
/etc/privoxy/templates/cgi-error-file
/etc/privoxy/templates/cgi-error-file-read-only
/etc/privoxy/templates/cgi-error-modified
/etc/privoxy/templates/cgi-error-parse
/etc/privoxy/templates/cgi-style.css
/etc/privoxy/templates/connect-failed
/etc/privoxy/templates/connection-timeout
/etc/privoxy/templates/default
/etc/privoxy/templates/edit-actions-add-url-form
/etc/privoxy/templates/edit-actions-for-url
/etc/privoxy/templates/edit-actions-for-url-filter
/etc/privoxy/templates/edit-actions-list
/etc/privoxy/templates/edit-actions-list-button
/etc/privoxy/templates/edit-actions-list-section
/etc/privoxy/templates/edit-actions-list-url
/etc/privoxy/templates/edit-actions-remove-url-form
/etc/privoxy/templates/edit-actions-url-form
/etc/privoxy/templates/forwarding-failed
/etc/privoxy/templates/mod-local-help
/etc/privoxy/templates/mod-support-and-service
/etc/privoxy/templates/mod-title
/etc/privoxy/templates/mod-unstable-warning
/etc/privoxy/templates/no-server-data
/etc/privoxy/templates/no-such-domain
/etc/privoxy/templates/show-request
/etc/privoxy/templates/show-status
/etc/privoxy/templates/show-status-file
/etc/privoxy/templates/show-url-info
/etc/privoxy/templates/show-version
/etc/privoxy/templates/toggle
/etc/privoxy/templates/toggle-mini
/etc/privoxy/templates/untrusted
/etc/privoxy/templates/url-info-osd.xml
/etc/privoxy/trust
/etc/privoxy/user.action
/etc/privoxy/user.filter
/etc/rc.d/init.d/privoxy

Comment 1 Fedora Update System 2013-05-23 15:25:31 UTC
privoxy-3.0.21-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/privoxy-3.0.21-3.fc17

Comment 2 Fedora Update System 2013-05-23 15:25:41 UTC
privoxy-3.0.21-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/privoxy-3.0.21-3.fc19

Comment 3 Fedora Update System 2013-05-23 15:25:51 UTC
privoxy-3.0.21-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/privoxy-3.0.21-3.el6

Comment 4 Fedora Update System 2013-05-23 15:26:02 UTC
privoxy-3.0.21-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/privoxy-3.0.21-3.fc18

Comment 5 Fedora Update System 2013-05-23 19:44:41 UTC
Package privoxy-3.0.21-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing privoxy-3.0.21-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5915/privoxy-3.0.21-3.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-06-01 03:28:37 UTC
privoxy-3.0.21-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-06-04 21:03:04 UTC
privoxy-3.0.21-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-06-04 21:11:02 UTC
privoxy-3.0.21-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-06-08 18:37:50 UTC
privoxy-3.0.21-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.